> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Retrieve a single User

GET https://api.letsdeel.com/scim/v2/Users/{hris_profile_id}

Retrieve a single user by id.

 **Token scopes**: `Users:read`

Reference: https://developer.deel.com/api/reference/endpoints/users/get-user-by-id

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/scim/v2` (Production, default)
- `https://api-staging.letsdeel.com/scim/v2` (Demo)

## Request

### Path parameters

- `hris_profile_id` (string, required) — The unique identifier (OID) of the HRIS profile to retrieve.

## Response

### 200

Successful response

- `meta` (UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaMeta, required)
- `name` (UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaName, required)
- `emails` (list of UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaEmailsItems, required)
- `schemas` (list of enum, required)
  - Allowed values: `urn:ietf:params:scim:schemas:core:2.0:User`
- `userName` (string, required)
- `phoneNumbers` (list of UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaPhoneNumbersItems, required)
- `id` (string, optional)
- `title` (string, optional)
- `active` (boolean, optional, default: false)
- `userType` (string, optional)
- `addresses` (list of UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaAddressesItems, optional)
- `urn:ietf:params:scim:schemas:extension:2.0:User` (UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaUrnIetfParamsScimSchemasExtension20User, optional)
- `urn:ietf:params:scim:schemas:extension:enterprise:2.0:User` (UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaUrnIetfParamsScimSchemasExtensionEnterprise20User, optional)

## Errors

### 400 Bad Request Error

Operation failed.

- `detail` (string, optional) — detail error message
- `schemas` (list of enum, optional)
  - Allowed values: `urn:ietf:params:scim:api:messages:2.0:Error`
- `scimType` (enum, optional) — bad request type when status code is 400
  - Allowed values: `uniqueness`, `tooMany`, `mutability`, `sensitive`, `invalidSyntax`, `invalidFilter`, `invalidPath`, `invalidValue`, `invalidVers`, `noTarget`
- `status` (string, optional) — same as HTTP status code, e.g. 400, 401, etc.

### 401 Unauthorized Error

Operation failed.

- `detail` (string, optional) — detail error message
- `schemas` (list of enum, optional)
  - Allowed values: `urn:ietf:params:scim:api:messages:2.0:Error`
- `scimType` (enum, optional) — bad request type when status code is 400
  - Allowed values: `uniqueness`, `tooMany`, `mutability`, `sensitive`, `invalidSyntax`, `invalidFilter`, `invalidPath`, `invalidValue`, `invalidVers`, `noTarget`
- `status` (string, optional) — same as HTTP status code, e.g. 400, 401, etc.

### 403 Forbidden Error

Operation failed.

- `detail` (string, optional) — detail error message
- `schemas` (list of enum, optional)
  - Allowed values: `urn:ietf:params:scim:api:messages:2.0:Error`
- `scimType` (enum, optional) — bad request type when status code is 400
  - Allowed values: `uniqueness`, `tooMany`, `mutability`, `sensitive`, `invalidSyntax`, `invalidFilter`, `invalidPath`, `invalidValue`, `invalidVers`, `noTarget`
- `status` (string, optional) — same as HTTP status code, e.g. 400, 401, etc.

### 404 Not Found Error

Resource not found - The provided hrisProfileOid does not exist.

- `errors` (list of UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)
- `request` (UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaRequest, optional)

### 500 Internal Server Error

Operation failed.

- `detail` (string, optional) — detail error message
- `schemas` (list of enum, optional)
  - Allowed values: `urn:ietf:params:scim:api:messages:2.0:Error`
- `scimType` (enum, optional) — bad request type when status code is 400
  - Allowed values: `uniqueness`, `tooMany`, `mutability`, `sensitive`, `invalidSyntax`, `invalidFilter`, `invalidPath`, `invalidValue`, `invalidVers`, `noTarget`
- `status` (string, optional) — same as HTTP status code, e.g. 400, 401, etc.

## Types

### UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaMeta

- `created` (string, optional)
- `location` (string, optional)
- `lastModified` (string, optional)
- `resourceType` (enum, optional)
  - Allowed values: `User`, `Group`

### UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaName

- `givenName` (string, required)
- `familyName` (string, required)

### UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaEmailsItems

- `type` (enum, required)
  - Allowed values: `home`, `work`, `other`
- `value` (string, required)
- `primary` (boolean, optional, default: false)

### UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaPhoneNumbersItems

- `type` (enum, required)
  - Allowed values: `home`, `work`, `other`
- `value` (string, required)
- `primary` (boolean, required, default: false)

### UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaAddressesItems

- `type` (string, optional)
- `region` (string, optional)
- `country` (string, optional, nullable)
- `locality` (string, optional)
- `postalCode` (string, optional)
- `streetAddress` (string, optional)

### UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaUrnIetfParamsScimSchemasExtension20User

- `state` (string, optional, nullable)
- `country` (string, optional, nullable)
- `endDate` (UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaUrnIetfParamsScimSchemasExtension20UserEndDate, optional)
- `isManager` (boolean, optional, default: false)
- `startDate` (string, optional, nullable)
- `employments` (list of UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaUrnIetfParamsScimSchemasExtension20UserEmploymentsItems, optional, nullable)
- `customFields` (list of UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaUrnIetfParamsScimSchemasExtension20UserCustomFieldsItems, optional, nullable)
- `hiringStatus` (string, optional)
- `workLocation` (string, optional, nullable) — The work location label assigned to the worker's HRIS profile
- `departmentHierarchy` (string, optional, nullable)
- `departmentExternalId` (string, optional, nullable)
- `customFieldsFlattened` (map from string to UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaUrnIetfParamsScimSchemasExtension20UserCustomFieldsFlattened, optional, nullable) — Custom fields keyed by field UUID. Only present when the scimFlattenedFields feature flag is enabled.
- `departmentExternalIdHierarchy` (string, optional, nullable)
- `organizationalStructuresFlattened` (map from string to UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaUrnIetfParamsScimSchemasExtension20UserOrganizationalStructuresFlattened, optional, nullable) — Org structures keyed by structure UUID. Only present when the scimFlattenedFields feature flag is enabled.

### UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaUrnIetfParamsScimSchemasExtensionEnterprise20User

- `manager` (UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaUrnIetfParamsScimSchemasExtensionEnterprise20UserManager, optional)
- `costCenter` (string, optional)
- `department` (string, optional)
- `organization` (string, optional)

### UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaErrorsItems

- `key` (string, optional)
- `path` (list of string, optional)
- `type` (string, optional)
- `context` (UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaErrorsItemsContext, optional)
- `message` (string, optional)

### UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaRequest

- `url` (string, optional)
- `docs` (string, optional)
- `method` (string, optional)
- `source` (string, optional)
- `status` (integer, optional)
- `api_req_id` (string, optional)

### UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaUrnIetfParamsScimSchemasExtension20UserEndDate

### UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaUrnIetfParamsScimSchemasExtension20UserEmploymentsItems

- `team` (UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaUrnIetfParamsScimSchemasExtension20UserEmploymentsItemsTeam, optional)
- `state` (string, optional, nullable)
- `title` (string, optional, nullable)
- `active` (boolean, optional, default: false)
- `country` (string, optional, nullable)
- `startDate` (string, optional, nullable)
- `contractId` (string, optional)
- `contractType` (string, optional, nullable)
- `customFields` (list of UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaUrnIetfParamsScimSchemasExtension20UserEmploymentsItemsCustomFieldsItems, optional) — Contract-level custom fields associated with the employment

### UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaUrnIetfParamsScimSchemasExtension20UserCustomFieldsItems

- `id` (string, optional)
- `name` (string, optional, nullable)
- `value` (string, optional, nullable)

### UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaUrnIetfParamsScimSchemasExtension20UserCustomFieldsFlattened

- `name` (string, optional)
- `value` (string, optional, nullable)

### UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaUrnIetfParamsScimSchemasExtension20UserOrganizationalStructuresFlattened

- `names` (list of string, optional)
- `externalIds` (list of string, optional)
- `nameHierarchies` (list of string, optional)
- `orgStructureName` (string, optional)
- `externalIdHierarchies` (list of string, optional)

### UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaUrnIetfParamsScimSchemasExtensionEnterprise20UserManager

- `value` (string, required)
- `displayName` (string, optional)

### UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaErrorsItemsContext

### UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaUrnIetfParamsScimSchemasExtension20UserEmploymentsItemsTeam

- `name` (string, optional)

### UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaUrnIetfParamsScimSchemasExtension20UserEmploymentsItemsCustomFieldsItems

- `id` (string, optional)
- `data` (UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaUrnIetfParamsScimSchemasExtension20UserEmploymentsItemsCustomFieldsItemsData, optional, nullable) — The custom field value payload, structure varies by field type
- `name` (string, optional)
- `type` (string, optional)

### UsersHrisProfileIdGetResponsesContentApplicationJsonSchemaUrnIetfParamsScimSchemasExtension20UserEmploymentsItemsCustomFieldsItemsData

The custom field value payload, structure varies by field type

## Examples

**Response**

```json
{
  "meta": {},
  "name": {
    "givenName": "John",
    "familyName": "Doe"
  },
  "emails": [],
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:User"
  ],
  "userName": "john.doe@example.com",
  "phoneNumbers": [
    {
      "type": "work",
      "value": "+11234567890",
      "primary": true
    }
  ],
  "id": "abc123",
  "title": "Software Engineer",
  "active": true,
  "userType": "employee",
  "addresses": [],
  "urn:ietf:params:scim:schemas:extension:2.0:User": {},
  "urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/scim/v2/Users/550e8400-e29b-41d4-a716-446655440000"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/scim/v2/Users/550e8400-e29b-41d4-a716-446655440000';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/scim/v2/Users/550e8400-e29b-41d4-a716-446655440000"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/scim/v2/Users/550e8400-e29b-41d4-a716-446655440000")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/scim/v2/Users/550e8400-e29b-41d4-a716-446655440000")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/scim/v2/Users/550e8400-e29b-41d4-a716-446655440000', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/scim/v2/Users/550e8400-e29b-41d4-a716-446655440000");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/scim/v2/Users/550e8400-e29b-41d4-a716-446655440000")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```